Issue 2446

Summary: Font size selection in the middle, or 25-35%
Product: Writer Reporter: osavill <osavill>
Component: uiAssignee: h.ilter
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P4 CC: e.matthis, hdu, issues, rbircher, thomas.lendo
Version: OOo 1.1 RC4Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description osavill 2001-12-05 14:38:06 UTC
Don't just copy M$, for example when selecting a new font. The Font drop down always displays the 
current font at the very top of the list. This is fine assuming you want to make the font bigger - you 
just click on the desired size, if it is visible. However, to go from 12pt to say 10pt requires 
moving the slider and then clicking. Lazy people like me don't want to do this !!! How about 
presenting the current font size in the middle (when possible) of the drop down :-)
Comment 1 stefan.baltzer 2001-12-05 15:23:06 UTC
Reassigned to Falko.
Comment 2 falko.tesch 2002-01-02 10:43:48 UTC
This issue is re-assigned to Christian Jansen for further evaluation.
Comment 3 christian.jansen 2002-01-08 10:03:52 UTC
Yes, you are right. We change the by default focused area.
Comment 4 christian.jansen 2003-02-10 10:58:08 UTC
Reassigened to Bettina
Comment 5 christian.jansen 2003-02-10 12:28:34 UTC
Reassigned to Bettina.
Comment 6 osavill 2003-09-15 17:11:25 UTC
Lots of reassigning, no action :-)
Comment 7 utomo99 2003-09-16 06:58:53 UTC
I think it is good idea, 
I think better not in the middle. 

maybe at 25-35% position. because mostly people use default font size,
and many people are adding the font size to bigger, compared to make
it smaller. 



Comment 8 lohmaier 2003-09-16 12:57:50 UTC
please update summary and add the keyword...
Comment 9 owendelong 2003-09-16 16:37:10 UTC
I think the statement about mostly going to bigger fonts contains
some assumptions about the type of writing being done.  However, I would
say that the 25-30% area is a good compromise.
Comment 10 rblackeagle 2003-09-16 22:21:27 UTC
Personally, I would like the currently selected font size to be in the
middle.  Sometimes I'm entering text that is 14 pt size and want to
move back to 12 pt.  In fact, I do that more often than I move to a
larger font size.
Comment 11 utomo99 2003-09-19 05:42:56 UTC
Font size selection in the middle, or 25-35 % will make user easier to
adjust the font size. 
user not always want to make font bigger, but sometimes also want to
make it smaller. 

example default font now is 12. better if we can see 10 until 16 by
default when we hit the font size
Comment 12 falko.tesch 2003-10-01 15:36:31 UTC
when opening the drop-down list box for font size the current selected
font-size is always on top of the drop-down list.
If one wants to decrease the font-size he/she has to scroll up.
Instead it is more sensible to put the current font size (incl. the
focus) into the first third of the list.
Comment 13 ace_dent 2008-05-16 02:39:47 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 14 e.matthis 2009-11-10 15:42:29 UTC
EM to HDU, I spoke with Philip about this and he said to transfer it to you with
target 3.3. Please fix it so that the current size appears in the middle so that
the user can see both smaller and larger sizes. Thank you!
Comment 15 hdu@apache.org 2009-11-11 12:43:26 UTC
@pl: the listbox/combobox should provide a style "keep selected item somewhere near the middle". The 
OOo UI has many other listboxes where this style could be useful. Reassigning as agreed.
Comment 16 cno 2009-11-11 13:11:36 UTC
*** Issue 52897 has been marked as a duplicate of this issue. ***
Comment 17 philipp.lohmann 2009-12-18 14:32:44 UTC
fixed in CWS vcl108
Comment 18 johanneseva 2009-12-18 18:32:18 UTC
This enlightens my day ;-)
Thank you, dear programmer, whoever you are, for fixing this!
Comment 19 philipp.lohmann 2010-01-06 18:35:09 UTC
please verify in CWS vcl108
Comment 20 h.ilter 2010-01-20 12:08:18 UTC
Verified with cws vcl108 = ok
Comment 21 tommy27 2010-02-01 21:18:50 UTC
I wonder if osavill is still round here to see his issue finally fixed 9 years 
later
Comment 22 osavill 2010-02-02 21:33:40 UTC
I certainly am, still trying to push OOo into my company :-)

It's great to see this enhancement finally put into OOo. I'm still waiting for
Issue 2313 :-)
Comment 23 tommy27 2010-05-04 21:53:28 UTC
nice suggestion. I hope this issue will be fixed in OOo 3.3
Comment 24 osavill 2010-05-08 22:40:18 UTC
Had to re-open. The fix may have been submitted but it still hasn't been brought
into the main line code in OO Dev 3.2.1.
Comment 25 hdu@apache.org 2010-05-10 07:43:14 UTC
Target milestone was and is OOo330 (available as DEV300_mXX) => resetting to FIXED.
Comment 26 hdu@apache.org 2010-05-10 07:43:56 UTC
setting to verified again
Comment 27 hdu@apache.org 2010-07-30 08:07:48 UTC
*** Issue 88190 has been marked as a duplicate of this issue. ***
Comment 28 Raphael Bircher 2013-08-12 10:57:52 UTC
This issue is solved, Tested in AOO 3.4.1 in Ubuntu. Closing issue